//******************************************************************************
// Projeto - TESTE_ADC0831 - testa conversor AD externo de 8 bits
// Desenvolvido por Mrcio Jos Soares
//
// Arquivo - teste_adc0831.h - configuraes, definies e variveis globais
//******************************************************************************

//******************************************************************************
// Arquivos includos neste mdulo
//******************************************************************************
#include <16F628.h>

//******************************************************************************
// Configuraes para o microcontrolador PIC16F628
//******************************************************************************
#use delay(clock=4000000,RESTART_WDT)
#priority timer0, timer1, RDA

//******************************************************************************
// Configurao dos fuses do microcontrolador PIC16F628
//******************************************************************************
#fuses INTRC_IO,PUT,WDT,NOBROWNOUT,NOMCLR,NOLVP,NOCPD
//INTRC	      Clock interno
//PUT          Ativa tempo de inicializao
//WDT		      Ativa Watch Dog Timer
//NOBROWNOUT	No usa brownout reset
//NOMCLR		   Pino Master Clear usado como I/O
//NOLVP		   No usa baixa voltagem para programao, pino B3 usado como I/O
//NOCPD		   No protege EEPROM

//******************************************************************************
// Configurao da comunicao serial do PIC16F628
//******************************************************************************
#use rs232(baud=9600,parity=N,xmit=PIN_B2,rcv=PIN_B1,bits=8)

//******************************************************************************
// Definies para o mdulo - teste_adc0831
//******************************************************************************
#locate rxreg     = 0x1a         //endereo do registrador p/ byte recebido

#define  JUMPER   PIN_A0         //pino do jumper
#define  LED      PIN_A1         //pino do LED
#define  CS       PIN_B0         //CS do ADC0831
#define  DADOS    PIN_B3         //DO do ADC0831
#define  CLOCK    PIN_B4         //CS do ADC0831

//******************************************************************************
// Variveis Globais do mdulo - teste_adc0831
//******************************************************************************
int1 convert;                    //varivel para selecionar tipo de converso

